# Export details of a specific meter The Export Meter operation exports the full definition of a specific meter in Zuora Mediation, including metadata, all versions, event schemas, and operator configurations (source, processor, sink). It's useful for reviewing, backing up, or replicating meter setups across environments. Endpoint: GET /meters/export/{meterId} Version: 2026-02-20 Security: bearerAuth ## Path parameters: - `meterId` (string, required) ID of the meter to export. ## Header parameters: - `Content-Type` (string, required) Specify the content type of the request body. Use application/json. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Response 200 fields (application/json): - `name` (string) Meter name - `description` (string) Meter description - `type` (string) Meter type (e.g., CUSTOM, STANDARD) - `typeDefinition` (object) - `typeDefinition.sourceType` (string) Source type, e.g., ZUORA_BULK_API or LOCAL_FILE - `typeDefinition.schemaId` (string) Event definition ID - `typeDefinition.fieldMappings` (array) Field mappings from event definition to Zuora usage - `typeDefinition.fieldMappings.name` (string) Field name - `typeDefinition.fieldMappings.field` (string) Mapped field name - `typeDefinition.fieldMappings.required` (boolean) Indicates if the field is required - `typeDefinition.fieldMappings.dateFormat` (string) Date format if applicable - `typeDefinition.configs` (object) Configurations for accumulated meters (e.g., SUM) - `latestVersion` (string) The latest version of the meter - `versions` (array) List of all versions for the meter - `versions.version` (string) The initial version of meter, default is 0.0.1 - `versions.versionDetail` (string) Detail description of this version - `versions.metadata` (string) Version metadata, UI stores meter position data into this field - `versions.tasks` (array) List of tasks for this version - `versions.tasks.id` (string) Operator ID - `versions.tasks.name` (string) Operator name - `versions.tasks.nodeType` (string) Operator node type (e.g., SOURCE, PROCESSOR, SINK) - `versions.tasks.operatorType` (string) Operator type (e.g., KAFKA, S3, LOCAL_FILE) - `versions.tasks.metadata` (object) Operator metadata - `versions.tasks.predecessors` (array) Predecessor operators - `versions.tasks.extraConfig` (object) Extra configurations for the operator - `versions.tasks.setting` (object) Runtime settings for the operator - `schemas` (array) List of event schemas used by this meter Example: [{"name":"source(97)","type":1,"schema":{"description":"A description","type":"object","title":"source","required":["CustomerId","UsageIdentifier","UsageDate"],"properties":{"Amount":{"type":"number","description":"Amount"},"Quantity":{"type":"number","description":"Quantity"},"UsageDate":{"type":"string","description":"UsageDate"},"CostCenter":{"type":"string","description":"CostCenter"},"CustomerId":{"type":"string","description":"CustomerId"},"UsageIdentifier":{"type":"string","description":"UsageIdentifier"}}}}] - `schemas.name` (string) Event definition name Example: "source(97)" - `schemas.type` (integer) Schema type (1 = simple, 2 = advanced) Example: 1 - `schemas.schema` (object) JSON schema Example: {"description":"A description","type":"object","title":"source","required":["CustomerId","UsageIdentifier","UsageDate"],"properties":{"Amount":{"type":"number","description":"Amount"},"Quantity":{"type":"number","description":"Quantity"},"UsageDate":{"type":"string","description":"UsageDate"},"CostCenter":{"type":"string","description":"CostCenter"},"CustomerId":{"type":"string","description":"CustomerId"},"UsageIdentifier":{"type":"string","description":"UsageIdentifier"}}} - `schemas.schema.description` (string) Schema description Example: "A description" - `schemas.schema.type` (string) Schema base type Enum: "object" - `schemas.schema.title` (string) Schema title Example: "source" - `schemas.schema.required` (array) Required fields in the event Example: ["CustomerId","UsageIdentifier","UsageDate"] - `schemas.schema.properties` (object) Field definitions in the schema Example: {"Amount":{"type":"number","description":"Amount"},"Quantity":{"type":"number","description":"Quantity"},"UsageDate":{"type":"string","description":"UsageDate"},"CostCenter":{"type":"string","description":"CostCenter"},"CustomerId":{"type":"string","description":"CustomerId"},"UsageIdentifier":{"type":"string","description":"UsageIdentifier"}} ## Response 400 fields (application/json): - `errors` (array) - `errors.code` (string) Machine-readable error code identifying the failure type. - `errors.message` (string) Human-readable description of the error that provides more context about what went wrong. - `success` (boolean) ## Response 404 fields (application/json): - `success` (boolean) Whether the API request has succeeded or not. - `data` (object) Detailed response information for successful requests (e.g., instance info, job details). - `data.id` (string) The instance ID. - `data.sessionId` (string) The session ID of the meter instance. - `data.jobId` (string) The job ID of the meter instance. - `data.meterId` (integer) The ID of the meter. - `data.version` (string) The meter version. - `data.revision` (string) The meter revision. - `data.runType` (integer) The run type of the instance. - `data.runTypeDescription` (string) The description of the run type. - `data.startTime` (string) The start time of the instance. - `data.status` (integer) The job status of the instance. - `data.statusDescription` (string) The status description of the instance. - `data.canExportSummary` (boolean) Whether the instance can export summary information (internal usage). - `data.hasLineageEnabled` (boolean) Whether lineage is enabled for the meter (internal usage). - `error` (object) Contains error details when the request fails. - `error.code` (string) The error reason code (e.g., "70002006" for authorization errors). - `error.message` (string) A human-readable description of the error. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response